public class TestBSTWithIterator {
  public static void main(String[] args) {
    BST<String> tree = new BST<>();
    tree.insert("Grzegorz");
    tree.insert("Michał");
    tree.insert("Tomek");
    tree.insert("Adam");
    tree.insert("Jonasz");
    tree.insert("Piotr");
    tree.insert("Daniel");
    
    for (String s: tree) 
      System.out.print(s.toUpperCase() + " ");
  }
}
